Bug 828370 - Review Request: drupal6-comment_bonus_api - Comment Bonus API for Drupal6
Review Request: drupal6-comment_bonus_api - Comment Bonus API for Drupal6
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Wesley Hearn
Fedora Extras Quality Assurance
:
: 828366 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-06-04 13:26 EDT by Anderson Silva
Modified: 2013-03-23 08:59 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-08-24 23:02:26 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
whearn: fedora‑review+
limburgher: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Anderson Silva 2012-06-04 13:26:19 EDT
Spec URL: http://people.redhat.com/~ansilva/drupal6-comment_bonus_api.spec
SRPM URL: http://people.redhat.com/~ansilva/drupal6-comment_bonus_api-1.0-2.fc16.src.rpm
Description: This module enhances the standard Drupal comment module's API by providing hooks in comment_render(), which allow you to manipulate comment threads in your own way.

Fedora Account System Username: afsilva
Comment 1 Anderson Silva 2012-06-04 14:00:35 EDT
*** Bug 828366 has been marked as a duplicate of this bug. ***
Comment 2 Wesley Hearn 2012-06-25 12:48:36 EDT
drupal6-comment_bonus_api.noarch: E: description-line-too-long C This module enhances the standard Drupal comment module's API by providing hooks in

http://fedoraproject.org/wiki/Packaging:Guidelines#Summary_and_description
Comment 3 Anderson Silva 2012-06-25 14:17:47 EDT
life would be so much easier if rpmlint would actually show me these errors... 

for whatever reason it did not throw an error on the description... should be fixed now:

Spec URL: http://people.redhat.com/~ansilva/drupal6-comment_bonus_api.spec
SRPM URL: http://people.redhat.com/~ansilva/drupal6-comment_bonus_api-1.0-3.fc16.src.rpm
Comment 4 Wesley Hearn 2012-06-25 16:16:29 EDT
Only problem:
[E] - MUST: If (and only if) the source package includes the text of the license(s) in its own file, then that file, containing the text of the license(s) for the package must be included in %doc.

-----------------------------------------------

[O] - MUST: rpmlint must be run on the source rpm and all binary rpms the build produces. The output should be posted in the review. 
[O] - MUST: The package must be named according to the Package Naming Guidelines .
[O] - MUST: The spec file name must match the base package %{name}, in the format %{name}.spec unless your package has an exemption.  . 
[-] - MUST: The package must meet the Packaging Guidelines .
[O] - MUST: The package must be licensed with a Fedora approved license and meet the Licensing Guidelines .
[O] - MUST: The License field in the package spec file must match the actual license. 
[E] - MUST: If (and only if) the source package includes the text of the license(s) in its own file, then that file, containing the text of the license(s) for the package must be included in %doc.
[O] - MUST: The spec file must be written in American English. 
[O] - MUST: The spec file for the package MUST be legible. 
[O] - MUST: The sources used to build the package must match the upstream source, as provided in the spec URL. Reviewers should use md5sum for this task. If no upstream URL can be specified for this package, please see the Source URL Guidelines for how to deal with this.
[O] - MUST: The package MUST successfully compile and build into binary rpms on at least one primary architecture. 
[-] - MUST: If the package does not successfully compile, build or work on an architecture, then those architectures should be listed in the spec in ExcludeArch. Each architecture listed in ExcludeArch MUST have a bug filed in bugzilla, describing the reason that the package does not compile/build/work on that architecture. The bug number MUST be placed in a comment, next to the corresponding ExcludeArch line. 
[O] - MUST: All build dependencies must be listed in BuildRequires, except for any that are listed in the exceptions section of the Packaging Guidelines ; inclusion of those as BuildRequires is optional. Apply common sense.
[O] - MUST: The spec file MUST handle locales properly. This is done by using the %find_lang macro. Using %{_datadir}/locale/* is strictly forbidden.
[O] - MUST: Every binary RPM package (or subpackage) which stores shared library files (not just symlinks) in any of the dynamic linker's default paths, must call ldconfig in %post and %postun. 
[O] - MUST: Packages must NOT bundle copies of system libraries.
[O] - MUST: If the package is designed to be relocatable, the packager must state this fact in the request for review, along with the rationalization for relocation of that specific package. Without this, use of Prefix: /usr is considered a blocker. 
[O] - MUST: A package must own all directories that it creates. If it does not create a directory that it uses, then it should require a package which does create that directory. 
[O] - MUST: A Fedora package must not list a file more than once in the spec file's %files listings. (Notable exception: license texts in specific situations)
[O] - MUST: Permissions on files must be set properly. Executables should be set with executable permissions, for example. 
[O] - MUST: Each package must consistently use macros. 
[O] - MUST: The package must contain code, or permissable content. 
[O] - MUST: Large documentation files must go in a -doc subpackage. (The definition of large is left up to the packager's best judgement, but is not restricted to size. Large can refer to either size or quantity). 
[O] - MUST: If a package includes something as %doc, it must not affect the runtime of the application. To summarize: If it is in %doc, the program must run properly if it is not present. 
[O] - MUST: Static libraries must be in a -static package. 
[O] - MUST: Development files must be in a -devel package. 
[O] - MUST: In the vast majority of cases, devel packages must require the base package using a fully versioned dependency: Requires: %{name}%{?_isa} = %{version}-%{release} 
[O] - MUST: Packages must NOT contain any .la libtool archives, these must be removed in the spec if they are built.
[O] - MUST: Packages containing GUI applications must include a %{name}.desktop file, and that file must be properly installed with desktop-file-install in the %install section. If you feel that your packaged GUI application does not need a .desktop file, you must put a comment in the spec file with your explanation. 
[O] - MUST: Packages must not own files or directories already owned by other packages. The rule of thumb here is that the first package to be installed should own the files or directories that other packages may rely upon. This means, for example, that no package in Fedora should ever share ownership with any of the files or directories owned by the filesystem or man package. If you feel that you have a good reason to own a file or directory that another package owns, then please present that at package review time. 
[O] - MUST: All filenames in rpm packages must be valid UTF-8. 
[O] - SHOULD: If the source package does not include license text(s) as a separate file from upstream, the packager SHOULD query upstream to include it. 
[-] - SHOULD: The description and summary sections in the package spec file should contain translations for supported Non-English languages, if available. 
[O] - SHOULD: The reviewer should test that the package builds in mock. 
[O] - SHOULD: The package should compile and build into binary rpms on all supported architectures. 
[O] - SHOULD: The reviewer should test that the package functions as described. A package should not segfault instead of running, for example.
[O] - SHOULD: If scriptlets are used, those scriptlets must be sane. This is vague, and left up to the reviewers judgement to determine sanity. 
[O] - SHOULD: Usually, subpackages other than devel should require the base package using a fully versioned dependency. 
[O] - SHOULD: The placement of pkgconfig(.pc) files depends on their usecase, and this is usually for development purposes, so should be placed in a -devel pkg. A reasonable exception is that the main pkg itself is a devel tool not installed in a user runtime, e.g. gcc or gdb. 
[O] - SHOULD: If the package has file dependencies outside of /etc, /bin, /sbin, /usr/bin, or /usr/sbin consider requiring the package which provides the file instead of the file itself. 
[O] - SHOULD: your package should contain man pages for binaries/scripts. If it doesn't, work with upstream to add them where they make sense.

[03:50 PM] 
[0]whearn@Pluto:/var/lib/mock/fedora-17-x86_64/result $ rpmlint drupal6-comment_bonus_api-1.0-3.fc17.noarch.rpm drupal6-comment_bonus_api-1.0-3.fc17.src.rpm 
2 packages and 0 specfiles checked; 0 errors, 0 warnings.
Comment 6 Wesley Hearn 2012-07-19 12:05:33 EDT
Thanks for the fix, it is now passed!
Comment 7 Anderson Silva 2012-08-03 15:35:59 EDT
New Package SCM Request
=======================
Package Name: drupal6-comment_bonus_api
Short Description: Comment Bonus API for Drupal6
Owners: afsilva
Branches: f17 f18 el6
Comment 8 Gwyn Ciesla 2012-08-03 15:55:14 EDT
Git done (by process-git-requests).

f18 not yet branched.
Comment 9 Fedora Update System 2012-08-06 10:58:12 EDT
drupal6-comment_bonus_api-1.0-4.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/drupal6-comment_bonus_api-1.0-4.el6
Comment 10 Fedora Update System 2012-08-06 10:59:07 EDT
drupal6-comment_bonus_api-1.0-4.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/drupal6-comment_bonus_api-1.0-4.fc17
Comment 11 Fedora Update System 2012-08-08 14:33:10 EDT
drupal6-comment_bonus_api-1.0-4.el6 has been pushed to the Fedora EPEL 6 testing repository.
Comment 12 Fedora Update System 2012-08-24 23:02:26 EDT
drupal6-comment_bonus_api-1.0-4.fc17 has been pushed to the Fedora 17 stable repository.
Comment 13 Fedora Update System 2012-08-25 16:02:04 EDT
drupal6-comment_bonus_api-1.0-4.el6 has been pushed to the Fedora EPEL 6 stable repository.
Comment 14 Shawn Iwinski 2013-03-23 01:12:13 EDT
Package Change Request
======================
Package Name: drupal6-comment_bonus_api
New Branches: el5
Owners: ansilva siwinski
InitialCC: 

Adding el5 branch to follow most other drupal6 packages.
Comment 15 Gwyn Ciesla 2013-03-23 08:59:17 EDT
Git done (by process-git-requests).

Note You need to log in before you can comment on or make changes to this bug.